HomeGuidesAPI Reference
ChangelogHelp CenterCommunityContact Us
API Reference
These docs are for v1-2. Click to read the latest docs for v2026-01-15.

Query Event Data

Exports event data from Klaviyo, optionally filtering and segmenting on available event properties. Note that the only comparison operator currently supported is =. To ensure a correct response, enter parameters in the curl request as they are ordered below:

📘

For a comprehensive list of native Klaviyo metrics and their associated attributes, see next page

Path Params
string
required
Defaults to METRIC_ID
Query Params
string

Beginning of timeframe to pull event data for. The default value is 1 month ago. Can also accept a 10-digit UNIX timestamp. When sending a start_date, you must also send an end_date

Ex: 1610524800 OR 2021-01-13

string

End of timeframe to pull event data for. The default is the current day, or 1 month from start_date, whichever is sooner. Can also accept a 10-digit UNIX timestamp. When sending an end_date, you must also send a start_date. Must be at most 31 days after start_date

Ex: 1612080000 OR 2021-01-31

string
Defaults to day

Granularity to bucket data points into - one of day, week, or month. Defaults to day.

string
Defaults to count

Type of metric to fetch - one of unique, count, value, or sum. Defaults to count. For sum a property name to operate on must be supplied as a JSON-encoded list like ["sum","ItemCount"]

string

Optional, JSON-encoded list. Conditions to use to filter the set of events. A max of 1 condition can be given. where and by parameters cannot be specified at the same time.

ex: [["$attributed_flow","=","FLOW_ID"]]

string

The name of a property to segment the event data on. where and by parameters cannot be specified at the same time. Cannot be used alongside where parameter.

integer
1 to 1000
Defaults to 25

Maximum number of segments to return. Default = 25, MAX = 1000

Response

Language
Credentials
Query
LoadingLoading…
Response
Choose an example:
application/json